org.keycloak.audit

## Class Event

- java.lang.Object
- - org.keycloak.audit.Event

-     public class Event
      extends Object

  Author:
    Stian Thorgersen

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Event()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Event` | `clone()`
    `String` | `getClientId()`
    `Map<String,String>` | `getDetails()`
    `String` | `getError()`
    `EventType` | `getEvent()`
    `String` | `getIpAddress()`
    `String` | `getRealmId()`
    `String` | `getSessionId()`
    `long` | `getTime()`
    `String` | `getUserId()`
    `void` | `setClientId(String clientId)`
    `void` | `setDetails(Map<String,String> details)`
    `void` | `setError(String error)`
    `void` | `setEvent(EventType event)`
    `void` | `setIpAddress(String ipAddress)`
    `void` | `setRealmId(String realmId)`
    `void` | `setSessionId(String sessionId)`
    `void` | `setTime(long time)`
    `void` | `setUserId(String userId)`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Event

          public Event()

  - ### Method Detail

    - #### getTime

          public long getTime()

    - #### setTime

          public void setTime(long time)

    - #### getEvent

          public EventType getEvent()

    - #### setEvent

          public void setEvent(EventType event)

    - #### getRealmId

          public String getRealmId()

    - #### setRealmId

          public void setRealmId(String realmId)

    - #### getClientId

          public String getClientId()

    - #### setClientId

          public void setClientId(String clientId)

    - #### getUserId

          public String getUserId()

    - #### setUserId

          public void setUserId(String userId)

    - #### getSessionId

          public String getSessionId()

    - #### setSessionId

          public void setSessionId(String sessionId)

    - #### getIpAddress

          public String getIpAddress()

    - #### setIpAddress

          public void setIpAddress(String ipAddress)

    - #### getError

          public String getError()

    - #### setError

          public void setError(String error)

    - #### getDetails

          public Map<String,String> getDetails()

    - #### setDetails

          public void setDetails(Map<String,String> details)

    - #### clone

          public Event clone()

      Overrides:
        `clone` in class `Object`

Copyright © 2014. All Rights Reserved.